<template>
  <div class="maxW">
    <apexchart width="1000" type="bar" :options="chartOptions" :series="series">
    </apexchart>
  </div>
</template>

<script>
//import moment from "moment";

export default {
  props: { propsData: {} },
  data() {
    return {
      bindedData: [],
      chartOptions: {
        chart: {
          id: "vuechart-example",
        },
        xaxis: {
          categories: [],
        },
        dataLabels: {
          enabled: false,
        },
      },
      series: [
        {
          name: "Cases",
          data: [1, 2, 3, 4, 5, 100],
        },
        {
          name: "Deaths",
          data: [1, 2, 3, 4, 5],
        },
        {
          name: "Recovered",
          data: [1, 2, 3, 4, 5],
        },
      ],
      maxDate: [],
    };
  },

  watch: {
    propsData(value) {
      this.bindedData = value;
      let tmpData = [];
      for (let i = 0; i < this.bindedData.cases.length; i++) {
        tmpData.push(i + 1);
      }
      this.reformatData(value, tmpData);
    },
  },
  created() {
    this.bindedData = this.propsData;
    let tmpData = [];
    for (let i = 0; i < this.bindedData.cases.length; i++) {
      tmpData.push(i + 1);
    }
    this.reformatData(this.bindedData, tmpData);
  },
  methods: {
    reformatData(value, tmpData) {
      let cases = [];
      let deaths = [];
      let recovered = [];

      for (const key in value) {
        if (Object.hasOwnProperty.call(value, key)) {
          const element = value[key];
          if (key == "cases") {
            for (let i = 0; i < element.length; i++) {
              cases.push(element[i].cases);
            }
          } else if (key == "recovered") {
            for (let i = 0; i < element.length; i++) {
              recovered.push(element[i].recovered);
            }
          } else if (key == "deaths") {
            for (let i = 0; i < element.length; i++) {
              deaths.push(element[i].deaths);
            }
          }
        }
      }

      (this.chartOptions = {
        chart: {
          id: "vuechart-example",
        },
        xaxis: {
          categories: tmpData,
        },
      }),
        (this.series = [
          {
            name: "Cases",
            data: cases,
          },
          {
            name: "Deaths",
            data: deaths,
          },
          {
            name: "Recovered",
            data: recovered,
          },
        ]);
    },
  },
};
</script>
<style scoped>
.maxW {
  max-width: 1000px;
  margin: auto;
  overflow-x: scroll;
  overflow-y: hidden;
}
/* width */
::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}
</style>
